Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » OCL » installing MDT OCL
installing MDT OCL [message #1174994] Thu, 07 November 2013 12:59 Go to next message
ModelGeek Mising name is currently offline ModelGeek Mising name
Messages: 516
Registered: June 2011
Senior Member
i am trying to install MDT OCL in Eclipse 3.8 on Mac OSX(Mavericks). I am getting following problem

Cannot complete the install because one or more required items could not be found.
Software being installed: OCL All-In-One SDK 4.1.0.v20130611-1511 (org.eclipse.ocl.master.feature.group 4.1.0.v20130611-1511)
Missing requirement: OCL Examples OCL Code Generator 1.1.0.v20130601-1745 (org.eclipse.ocl.examples.codegen 1.1.0.v20130601-1745) requires 'package org.apache.log4j 1.2.15' but it could not be found
Cannot satisfy dependency:
From: OCL Examples and Editors 3.3.0.v20130611-1511 (org.eclipse.ocl.examples.feature.group 3.3.0.v20130611-1511)
To: org.eclipse.ocl.examples.codegen [1.1.0.v20130601-1745]
Cannot satisfy dependency:
From: OCL All-In-One SDK 4.1.0.v20130611-1511 (org.eclipse.ocl.master.feature.group 4.1.0.v20130611-1511)
To: org.eclipse.ocl.examples.feature.group [3.3.0.v20130611-1511]

How can i get package org.apache.log4j ?

regards,
Re: installing MDT OCL [message #1175164 is a reply to message #1174994] Thu, 07 November 2013 15:11 Go to previous messageGo to next message
Ed Willink is currently offline Ed Willink
Messages: 4098
Registered: July 2009
Senior Member
Hi

Usually it comes from Xtext/MWE and you won't get far with the editors
without Xtext.

You can load it explicitly from
http://download.eclipse.org/tools/orbit/downloads/.

But if you enabled contact all sites it should find it, of course it may
try to upgrade your 3.8 too.

If you're installing by hand you need:

GEF, EMF (but not RAP), UML2, MWE, Xpand, Xtext before OCL Editors.

Regards

Ed Willink



On 07/11/2013 13:59, ModelGeek Mising name wrote:
> i am trying to install MDT OCL in Eclipse 3.8 on Mac OSX(Mavericks). I
> am getting following problem
>
> Cannot complete the install because one or more required items could
> not be found.
> Software being installed: OCL All-In-One SDK 4.1.0.v20130611-1511
> (org.eclipse.ocl.master.feature.group 4.1.0.v20130611-1511)
> Missing requirement: OCL Examples OCL Code Generator
> 1.1.0.v20130601-1745 (org.eclipse.ocl.examples.codegen
> 1.1.0.v20130601-1745) requires 'package org.apache.log4j 1.2.15' but
> it could not be found
> Cannot satisfy dependency:
> From: OCL Examples and Editors 3.3.0.v20130611-1511
> (org.eclipse.ocl.examples.feature.group 3.3.0.v20130611-1511)
> To: org.eclipse.ocl.examples.codegen [1.1.0.v20130601-1745]
> Cannot satisfy dependency:
> From: OCL All-In-One SDK 4.1.0.v20130611-1511
> (org.eclipse.ocl.master.feature.group 4.1.0.v20130611-1511)
> To: org.eclipse.ocl.examples.feature.group [3.3.0.v20130611-1511]
>
> How can i get package org.apache.log4j ?
>
> regards,
Re: installing MDT OCL [message #1175202 is a reply to message #1175164] Thu, 07 November 2013 15:41 Go to previous message
ModelGeek Mising name is currently offline ModelGeek Mising name
Messages: 516
Registered: June 2011
Senior Member
Thanks!
Previous Topic:generate OCL code from "OCL ecore instance"
Next Topic:How/Can an OCL expression access a UML Class Diagram?
Goto Forum:
  


Current Time: Sat Oct 25 16:04:43 GMT 2014

Powered by FUDForum. Page generated in 0.01751 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software